*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Balsamiq Sans", sans-serif;
}

html, body {
    height: 100%;
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    background-color: #94d2eb;
}

img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

input, button, textarea, select {
    font: inherit;
    outline: 0;
}

button {
    background: none;
    border: none;
    cursor: pointer;
}

a {
    text-decoration: none;
    color: inherit;
    outline: 0;
}

ul, ol {
    list-style: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: normal;
}

#root, #__next {
    isolation: isolate;
}

.container {
    width: 1200px;
    margin: auto;
}

.main-header {
    margin-bottom: 30px;
    position: relative;
}

.main-header .header-container {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 30px;
}

.main-header .header-container .menu ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.main-header .header-container .menu ul li a {
    color: #1b3c5d;
    font-weight: 600;
    font-size: 16px;
    transition: 300ms;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    position: relative;
    z-index: 1;
}

.main-header .header-container .menu ul li a img {
    width: 40px;
    height: 40px;
    object-fit: contain;
}

.main-header .header-container .menu ul li a:before {
    content: '';
    position: absolute;
    left: 42px;
    top: 2px;
    width: calc(100% - 34px);
    height: calc(100% - 5px);
    background: #86c1d8;
    z-index: -1;
    border-radius: 10px;
    transition: 300ms;
    opacity: 0;
}

.main-header .header-container .menu ul li:hover > a:Before {
    opacity: 1;
}

.main-header .header-container .logo {
    max-width: 230px;
}

.daily-proverb {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-image: url('/assets/front/images/proverb.png');
    height: 160px;
    background-repeat: no-repeat;
    background-size: contain;
    padding: 20px 20px 0 130px;
}

.daily-proverb .user-welcome {
    width: 170px;
    padding-right: 30px;
}

.daily-proverb .user-welcome .text {
    font-size: 12px;
    color: #5d5d5d;
}

.daily-proverb .user-welcome .name {
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.daily-proverb .proverb-content {
    color: #000a0c;
    font-weight: 600;
    padding-right: 20px;
    width: calc(100% - 170px);
}

.daily-proverb .proverb-content > p {
    font-style: italic;
    font-size: 18px;
}

.daily-proverb .proverb-content > p:before {
    content: '"';
}

.daily-proverb .proverb-content > p:after {
    content: '"';
}

.home-summary {
    margin-top: 40px;
    display: flex;
}

.home-summary .info {
    width: calc(100% - 580px);
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
}

.home-summary .info .summary-item {
    width: 50%;
    margin-bottom: 20px;
}

.level-card {
    width: 285px;
    height: 220px;
    background-image: url('/assets/front/images/level-card.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
}

.level-card .header {
    position: absolute;
    left: 35px;
    top: 30px;
    color: #fff;
}

.level-card .header .level {
    font-weight: 600;
    font-size: 28px;
    margin-bottom: -5px;
}

.level-card .header .description {
    font-size: 14px;
}

.level-card .footer {
    position: absolute;
    left: 40px;
    top: 148px;
    width: calc(100% - 78px);
}

.level-card .progress-bar {
    display: flex;
    height: 10px;
    background: #9d2a39;
    margin: auto;
    border-radius: 5px;
    position: relative;
}

.level-card .progress-bar .bar {
    border-radius: 5px;
    background: linear-gradient(90deg, #f9e380, #fbc641);
    box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3), 0 0 30px #f9e380;
    position: relative;
}

.level-card .progress-bar .bar:after {
    content: '';
    width: 30px;
    height: 25px;
    position: absolute;
    right: -3px;
    bottom: -4px;
    background-image: url('/assets/front/images/icons/chest.png');
    background-size: contain;
    background-repeat: no-repeat;
}

.level-card .footer .description {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #fff;
    font-size: 12px;
    height: 23px;
}

.calendar-card {
    width: 290px;
    height: 220px;
    background-image: url('/assets/front/images/calendar-card.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    color: #293b13;
}

.calendar-card .header {
    position: absolute;
    left: 35px;
    top: 30px;
}

.calendar-card .header .level {
    font-weight: 600;
    font-size: 28px;
    margin-bottom: -5px;
}

.calendar-card .header .description {
    font-size: 14px;
}

.calendar-card .footer {
    position: absolute;
    left: 40px;
    top: 148px;
    width: calc(100% - 88px);
}

.calendar-card .progress-bar {
    display: flex;
    height: 10px;
    background: #c8ccb5;
    margin: auto;
    border-radius: 5px;
    position: relative;
}

.calendar-card .progress-bar .bar {
    border-radius: 5px;
    background: linear-gradient(#59b95f, #4ea757);
    box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3), 0 0 30px #4ea757;
    position: relative;
}

.calendar-card .footer .description {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 12px;
    height: 23px;
}

.book-card {
    width: 296px;
    height: 220px;
    background-image: url('/assets/front/images/book-card.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    padding-left: 50px;
    padding-top: 40px;
    color: #fff;
}

.book-card .header {
    -webkit-text-stroke: 0.3px #5e3d29;
    text-shadow: 2px 2px 5px #2b1b11;
}

.book-card .header .count {
    font-size: 25px;
    margin-bottom: -5px;
}

.book-card .form input {
    position: absolute;
    left: 110px;
    height: 40px;
    top: 145px;
    width: 60px;
    background: transparent;
    border: 0;
    outline: 0;
    text-align: center;
    font-weight: bolder;
    color: #5e3d29;
}

.book-card .form input::-webkit-outer-spin-button,
.book-card .form input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.book-card .form input[type=number] {
    -moz-appearance: textfield;
}

.book-card .form button {
    position: absolute;
    right: 42px;
    top: 147px;
    color: #fff;
    font-size: 14px;
    width: 70px;
    height: 40px;
}

.library-card {
    width: 286px;
    height: 220px;
    margin-left: 10px;
    background-image: url('/assets/front/images/library-card.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    padding-left: 30px;
    padding-top: 20px;
    padding-right: 30px;
    color: #fff;
    -webkit-text-stroke: 0.3px #5e3d29;
    text-shadow: 2px 2px 5px #2b1b11;
}

.library-card .header {
    height: 50px;
    display: flex;
    align-items: center;
    font-weight: 600;
    font-size: 18px;
}

.library-card .content {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    margin-top: 10px;
}

.library-card .content .book {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
}

.library-card .content .book:nth-child(1) {
    padding-top: 5px;
}

.library-card .content .book:nth-child(2) {
    margin-top: -1px;
}

.library-card .content .book:nth-child(3) {
    margin-top: -3px;
}

.library-card .content .book .pages:after {
    content: '';
    display: inline-block;
    width: 20px;
    height: 15px;
    background-image: url('/assets/front/images/icons/open-book.png');
    background-size: contain;
    margin-left: 8px;
}

.home-work-card {
    flex: 1;
    background-image: url('/assets/front/images/homework-card.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    color: #293b13;
    height: 450px;
    border-radius: 15px;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 120px;
    font-weight: 600;
    flex-direction: column;
}

.home-work-card .text {
    color: #37274e;
    font-size: 25px;
    margin-bottom: 20px;
}

.home-work-card a {

    background-image: url('/assets/front/images/homework-card-button.png');
    display: block;
    height: 80px;
    width: 277px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 5px;
    color: #fff;
    transition: 300ms;
}

.home-work-card a:Hover {
    filter: brightness(90%);
}

.home-summary-2 {
    display: flex;
    justify-content: space-between;
}

.score-card {
    height: 230px;
    width: 360px;
    background-image: url('/assets/front/images/score-card.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    color: #293b13;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-top: 5px;
}

.score-card .value {
    font-weight: 500;
    font-size: 28px;
}

.score-card .text {
    font-size: 13px;
}

.cups-card {
    width: 840px;
    height: 240px;
    background-image: url('/assets/front/images/cups-card.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-right: -10px;
    margin-top: -5px;
    position: relative;
}

.cups-card .header {
    padding-top: 40px;
    padding-left: 40px;
    color: #000a1d;
}

.cups-card .header .title {
    font-size: 18px;
    font-weight: 700;
}

.cups-card .header .description {
    font-size: 12px;
}

.cups-card a {
    position: absolute;
    right: 44px;
    height: 40px;
    top: 42px;
    width: 160px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 4px;
    font-size: 12px;
    transition: 300ms;
}

.cups-card a:Hover {
    background: rgba(0, 0, 0, 0.1);
}

.login-page {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-page .login-screen {
    background-image: url('/assets/front/images/login-screen.png');
    height: 1020px;
    width: 1200px;
    background-repeat: no-repeat;
    margin: auto;
    position: relative;
}

.login-page .login-screen .page-title {
    width: 100%;
    text-align: center;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #521206;
    font-size: 45px;
}

.login-page .login-screen form input[name="phone"] {
    position: absolute;
    right: 200px;
    top: 382px;
    width: 310px;
    height: 50px;
    border: 0;
    background: transparent;
    outline: 0;
    font-size: 25px;
    padding-left: 20px;
}

.login-page .login-screen form input[name="password"] {
    position: absolute;
    right: 200px;
    top: 497px;
    width: 310px;
    height: 50px;
    border: 0;
    background: transparent;
    outline: 0;
    font-size: 55px;
    padding-left: 20px;
}

.login-page .login-screen form button {
    position: absolute;
    right: 230px;
    bottom: 355px;
    width: 285px;
    height: 75px;
    border-radius: 20px;
    color: transparent;
    transition: 300ms;
    background: #000;
    opacity: 0;
}

.login-page .login-screen form button:Hover {
    opacity: .1;
}

.exercises-categories-container .exercise-category {
    margin-bottom: 40px;
}

.exercises-categories-container .exercise-category .exercise-category-header .exercise-category-header-title{
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 10px;
}

.exercises-container{
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
}

.exercises-container > div{
    width: calc(33.3% - 30px);
    margin: 15px;
}

.exercise-card{
    background: rgba(255,255,255,0.4);
    border-radius: 15px;
    text-align: center;
    padding: 30px;
    border: 2px solid #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: 300ms;
    cursor: pointer;
}

.exercise-card:Hover{
    box-shadow: 0 0 30px rgba(0,0,0,0.1);
    background: rgba(255,255,255,0.7);
}

.exercise-card .title{
    font-size: 25px;
    min-height: 75px;
    font-weight: bold;
    color: #1e6582;
    margin-bottom: 20px;
}
.exercise-card  .description{
    font-size: 13px;
    font-weight: lighter;
    margin-bottom: 20px;
}

.exercise-card .button {
    background-image: url(/assets/front/images/homework-card-button.png);
    display: block;
    height: 80px;
    width: 277px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 5px;
    color: #fff;
    transition: 300ms;
    margin: auto;
}

.exercise-card .button:Hover {
    filter: brightness(90%);
}

.loader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 99999999;
    background: rgba(255,255,255,0.7);
    align-items: center;
    justify-content: center;
    display: none;
}

body.page-loading .loader{
    display: flex;
}

.loader > span:first-child{
    width: 150px;
    height: 150px;
    background-image: url(/assets/front/images/loader-out.png);
    background-size: contain;
    background-repeat: no-repeat;
    transform: translate(-50%, -50%);
    animation-name: spin;
    animation-duration: 5000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.loader > span:last-child{
    width: 50px;
    height: 50px;
    background-image: url(/assets/front/images/loaderi-in.png);
    background-size: contain;
    background-repeat: no-repeat;
    left: 50%;
    top: 50%;
    animation: realistic-jump 0.6s infinite alternate;
    margin-left: -95px;

}

body.page-loading{
    overflow: hidden;
}

div:where(.swal2-container) div:where(.swal2-popup){
    background: transparent;
    background-image: url(/assets/front/images/exercise-card.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    width: 41em;
    aspect-ratio: 1;
    padding: 100px 50px 150px 50px;
}

div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm),
div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-cancel),
div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-deny){
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border: 0;
    color: #fff;
    transition: 300ms;
    font-weight: 500;
    font-size: 20px;
    width: 180px;
    background-size: contain;
    background-image: url(/assets/front/images/button-bg.png);
    background-position: center;
    background-repeat: no-repeat;
}

div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm):hover,
div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-cancel):hover,
div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-deny):Hover{
    background-color: transparent;
    filter: brightness(80%);
}

div:where(.swal2-icon).swal2-success [class^=swal2-success-circular-line][class$=left] {
    background: transparent !important;
}

div:where(.swal2-icon).swal2-success [class^=swal2-success-circular-line][class$=right] {
    background: transparent !important;
}

div:where(.swal2-icon).swal2-success .swal2-success-fix {
    background: transparent !important;
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

@keyframes realistic-jump {
    0%, 100% {
        transform: translateY(10px) scale(1.1, 0.9);
    }
    50% {
        transform: translateY(-30px) scale(0.9, 1.1);
    }
}

